[HOWTO] Instalación manual del driver ATI Catalyst 8.x en Ubuntu Hardy Heron 8.04

Driver de ATI con extensión AIGLX

 

1 - Procedemos a descargar el driver propietario de la página oficial de ATI-AMD

Descargamos el último driver correspondiente a nuestra tarjeta en http://ati.amd.com/support/driver.html (Última versión). Para los pasos siguientes, podemos loguearnos como root para omitir el exceso de "sudo" :)

2 - Instalamos las herramientas necesarias, para ello abrimos un terminal y ejecutamos los comandos:

$ sudo apt-get update
$ sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-generic dkms

3 - Creamos los paquetes .deb:

Abirmos un terminal, nos dirigimos a la carpeta en donde descargamos el driver y ejecutamos:

$ sudo bash ati*.run --buildpkg Ubuntu/hardy 

En caso de ser Gutsy Gibbon, reemplazamos por –buildpkg Ubuntu/gutsy

4 - Debemos betar el módulo fglrx

Por defecto los paqutes de Ubuntu Feisty ya que incluyen una versión de un módulo anterior (8.algo), el mismo caso en Gutsy Gibbon. Debemos hacer esto para asegurarnos de que el nuevo módulo del kernel sea utilizado en vez del anterior. Para ello, abrimos un terminal y editamos el archivo necesario:

$ sudo gedit /etc/default/linux-restricted-modules-common

y en la línea DISABLED_MODULES="" añadimos fglrx, quedando de la siguiente manera:

DISABLED_MODULES="fglrx"

5 - Eliminamos cualquier paquete fglrx viejo:

$ sudo rm /usr/src/fglrx-kernel*.deb

6 - Procedemos a instalar los paquetes .deb que creamos:

Abrimos un terminal y ejecutamos el comando:

$ sudo dpkg -i xorg-driver-fglrx_*.deb fglrx-kernel*.deb fglrx-amdcccle*.deb xorg-driver-fglrx-dev_*.deb

Si te da algún error diciendo que no encuentra los paquetes, debemos instalarlos uno por uno, tal como está escrito arriba, pero con un solo paquete en cada intento.

Ya NO es necesario compilar el módulo del kernel, puesto que al instalar los paquetes automáticamente ellos compilan el módulo correspondiente mediante la herramienta "dkms" que está especificada arriba para ser instalada.

Nótese que entre cada paquete hay un espacio para separarlos. El nombre del paquete pudiera variar según la distribución.

7 - Ahora procedemos a configurar nuestro driver:

$ sudo aticonfig --initial --input=/etc/X11/xorg.conf
$ sudo aticonfig --overlay-type=Xv 

Para asegurarse, revisen el archivo xorg.conf:

$ sudo gedit /etc/X11/xorg.conf  

Y revisen en la sección "device" que la tengan de esta manera, con estas líneas:

Section "Device"
    Identifier  "aticonfig-Device[0]"
    Driver      "fglrx"
    Option "VideoOverlay" "on"
    Option "OpenGLOverlay" "off"
EndSection

Digo esto porque las líneas de Option deberían aparecer al configurar el overlay-type y en mi caso no aparecieron, por lo cual  tuve que añadirlas manualmente. Si no están, todos los videos que reproduzcan tendrán su salida por defecto en X11 (no funcionará la Xv), lo cual hace que se vean algo pixelados y feos (claro, se ven sobre el compiz-fusion, pero mal) así que háganlo y noten la diferencia por ejemplo con el VLC, configuren el módulo de salida a X11 y luego a Xv y notarán la diferencia :)

Ahora debemos reiniciar el equipo (no es suficiente reinciar el servidor de X).

Al regresar al nuestro escritorio, abrirmos un terminal y ejecutamos el siguiente comando para comprobar si efectivamente el driver se instaló correctamente:

$ fglrxinfo 

y nos debe aparecer algo como esto:

display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: RADEON X800 GTO
OpenGL version string: 1.4 (2.1.7415 Release)

Si todo está bien, hemos instalado nuestro driver correctamente!

Ahora ejecutamos el siguiente comando para verificar si realmente tenemos aceleración gráfica:

$ glxinfo | grep direct

y deberá salir algo como esto:

$ direct rendering: yes

Si el resultado es “yes”, ya tenemos aceleración gráfica en nuestra tarjeta. Si el resultado es “no”, revisar lo siguiente:

Comprobar que tenemos habilitado en repositorios restringidos o “restricted”. Se puede hacer de dos formas:

Ir a los menús Sistemas --> Administración --> Orígenes de Software y la opción “Controladores privativos para dispositivos” deberá estar habilitada.

La otra opción es ejecutar este comando en un terminal:

$ sudo gedit /etc/apt/sources.list

Y revisar que las líneas correspondientes a los repositorios “restricted” existan y no estén en comentarios (con el caracter # al principio)

Si nos sale en la esquina superior derecha el ícono del hardware indicando que nuevos drivers restringidos están en uso, habilitarlos marcando la viñeta.

Después de realizar cualquiera de estos pasos, reiniciamos X y comprobamos nuevamente nuestra aceleración.

NOTA: Ya no es necesario habilitar la opción "Composite" en el xorg.conf, ya que el nuevo driver no la deshabilita, al igual que las extensiones AIGLX que ya las provee.

Eso es todo :D! sencillo y rápido... Aún mas fácil que en versiones anteriores!

¡OJO! ¡OJO!

Para quienes NO han logrado poner a andar el compiz-fusion con estos nuevos drivers, revisar al final las respuestas añadidas al HOWTO :)

Saludos!

 

P.D: Discúlpenme pero aún les debo el método de desinstalación manual :( no he tenido tiempo de experimentar...
He actualizado el HOWTO de manera general para que pueda utilizarse para cualquier versión del driver ATI a partir de la 8.x.

Imagen de Treno
+1
0
-1

Creo que hay 3 pequeños errores en las rallitas, a mi no me funcionaba, son 2 "menos", osea "--", y no un "menos largo" o como se llame.

En el punto 7, en la linea

$ sudo depmod –a

deveria ser

$ sudo depmod --a

y en el punto 9, la linea

$ sudo aticonfig –initial –input=/etc/X11/xorg.conf

deveria ser

$ sudo aticonfig --initial --input=/etc/X11/xorg.conf

Gracias por el tutorial, pero a mi no me ha funcionado, cuando pongo

$ fglrxinfo

me dice

treno@sam:~$ fglrxinfo
fglrxinfo: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory

....con las esperanzas que tenia con este driver... voy a suponer que he metido la pata en alguno de mis multiples intentos de que esto funcione antes de ver este tutorial... esta noche soñaré con fglrx, con las X, ati, radeon y su puta madre, mi odio impide que siga escriviendo

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

Sip disculpa, eran un "pequeño error" jejeje... si son dos guiones, no me fijé que no salieran... ya mismo lo corrijo. Y ojo! no es --a, es depmod -a.

Ah, y tranquilo.. todos soñamos con ATI varias semanas... jejej :P

por cierto, revisa si tienes instalada la libreria libGL-mesa-glx y libGL-mesa-dri (aunque eso no creo que afecte) deberían estar por defecto... también asegurate de tener todos los requisitos mínimos instalados que se necesitan según la página de ATI:

https://a248.e.akamai.net/f/674/9206/0/www2.ati.com/drivers/linux/linux_...

de todas maneras son estos:

  • XFree86-Mesa-libGL
  • libstdc++
  • libgcc
  • XFree86-libs
  • fontconfig
  • freetype
  • zlib
  • gcc

Saludos!

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de Omar T
+1
0
-1

Hola

Primero gracias por el tuto, lo segui para arreglar un problemita que describo en este post y funcionó "casi todo". ya tengo instaldo el driver correcto y funcionando,tengo asceleracion de video y funciona el porgrama Catalyst. Pero lo que aun no puedo hacer es crear un segundo monitor con una salida independiente (lo cual es lo importante para mi). por lo pronto solo me detecta los dos monitores, pero la imagen es clonada. En Catalyst algunas opciones aparecen restringidas (no disponibles). he tratado activar la opción Dual-head con aticonfig así:
sudo aticonfig --initial=dual-head --screen-layout=above
Found fglrx primary device section
Found fglrx secondary device section
screen layout section corrupted

al revisar el Xorg me doy cuenta que no tengo ninguna seccion que se llame "screen layout" (no se tampoco si deba haber alguna)
Pero aqui les dejo la copia de mi Xorg.

Section "ServerLayout"
Identifier "Default Layout"
Screen 0 "aticonfig-Screen[0]" 0 0
EndSection

Section "Files"
EndSection

Section "Module"
Load "glx"
EndSection

Section "InputDevice"
Identifier "Generic Keyboard"
Driver "kbd"
Option "XkbRules" "xorg"
Option "XkbModel" "pc105"
Option "XkbLayout" "se"
EndSection

Section "InputDevice"
Identifier "Configured Mouse"
Driver "mouse"
Option "CorePointer"
EndSection

Section "Monitor"
Identifier "Configured Monitor"
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Device"
Identifier "Configured Video Device"
Driver "fglrx"
Option "EnableMonitor" "crt1,tmds1"
EndSection

Section "Device"
Identifier "aticonfig-Device[0]"
Driver "fglrx"
Option "VideoOverlay" "on"
Option "OpenGLOverlay" "off"
EndSection

Section "Screen"
Identifier "Default Screen"
Device "Configured Video Device"
Monitor "Configured Monitor"
DefaultDepth 24
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]"
Device "aticonfig-Device[0]"
Monitor "aticonfig-Monitor[0]"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Les agradecería muchisimo si me pudieran ayudar a averiguar cual es el problema y a solucionarlo.

Saludos

PD
De otro lado tuve problemas al instalar los paquetes descritos como esenciales , no los encuentro, sin embargo encontré en otro post sobre este tema en el que decía que solo bastaba con instlar un paquete "build-essential", así que lo instalé.

Los paquetes que no pude encontrar son estos :

* XFree86-Mesa-libGL
* libstdc++
* libgcc
* XFree86-libs
* fontconfig
* freetype
* zlib
* gcc

+1
0
-1
Imagen de Javier M.
+1
0
-1

Hola nosferatu.

Permiteme que te corrija el título para que se entienda mejor.

Te lo bajo a minúscula y añado ATI que no lo tiene.

Un saludo.


 

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

Hola a todos nuevamente, gracias por los comentarios, espero haberle aclarado dudas a la mayoría y bueno la verdad ayudo en lo posible, probablemente yo también meta la pata de vez en cuando xD

Espero que no se vayan a tomar esto de insulto ni nada por el estilo :( (yo también lo tuve que hacer algunas veces porque manual me daba problemas, pero con los drivers viejos claro, sólo algunas veces)... a quienes hayan tenido muchísimos problemas, como por ejemplo el amigo del XGL (yo reinstalé el gutsy por ese "detallito", quité el XGL y todo se me fué a la mier.. sin recuperación alguna, nunca supe por qué) y quizás para los demás que han tenido como resultado del fglrx los drivers mesa (que indica que no se cargaron), ya pueden bajarse el script de Envy, ya Alberto Milone lo actualizó con esta última versión del driver. Espero no se molesten conmigo :(

Muchas gracias a todos, y espero que este tutorial siga siendo de utilidad.

Saludos! :)

 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de nosferatus_deimos
+1
0
-1

Hola nuevamente!! :D

Para quienes lograron conseguir aceleración gráfica y no les andó el Compiz-fusion en Gutsy Gibbon y habilitaron el AIGLX y el Composite como está en el tutorial, deben agregar las siguientes líneas en el archivo de configuración del Compiz-fusion:

Abrimos un terminal y escribimos lo siguiente:

 sudo gedit /etc/xdg/compiz/compiz-manager

y añadimos al final del archivo lo siguiente:

WHITELIST="fglrx"

 Listo! eso es todo. 

Saludos :)! 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de Samurai_zero
+1
0
-1

A mí me ocurrió, pero al final lo he solucionado siguiendo un tutorial en inglés. Creo que el error suele ocurrir con Gutsy. Es prácticamente lo mismo que aquí, sólo que después de reiniciar debéis hacer:

 gksu gedit /etc/rc.local

y entonces, antes del "exit 0", añadir: 

insmod /lib/modules/$(uname -r)/misc/fglrx.ko 

 Al parecer, tras el reinicio se eliminaba esto que estamos añadiendo (vamos, que no estaría mal ponerlo como nota después del punto 8 ).

 

De todas formas, que alguien lo revise, que yo soy un completo novato (pero con ganas de que me funcione la gráfica, por si no se nota xD ). 

+1
0
-1
Imagen de Samurai_zero
+1
0
-1

He visto que han cambiado lo que decían en la página (y que hace que funcione "perfecto" el nuevo driver). Por cierto, dejo la url: http://wiki.cchtml.com/index.php/Ubuntu_Gutsy_Installation_Guide

 Básicamente dice (traducción de la parte que interesa, dentro del segundo método de instalación) que:

-------------- 

NOTA : En mi instalación de Gutsy, después de reiniciar se elimina automáticamente el link anterior (paso 8) por lo que no carga el fglrx y no tengo rendering. Hay varias maneras de solucionarlo y esta es la que me ha funcionado:

sudo gedit /etc/init.d/ati-module-fix

Y ponemos:

#!/bin/sh -e

# For loading ATI display drivers

ln -sf /lib/modules/$(uname -r)/misc/fglrx.ko /lib/modules/$(uname -r)/volatile/fglrx.ko
exit 0

Lo hacemos ejecutable

sudo chmod ugo+x /etc/init.d/ati-module-fix

Ahora, hacemos que corra antes del gdm (que debería empezar en la secuenca 13)

sudo update-rc.d ati-module-fix defaults 12

Puede que la posición del gdm en la secuencia sea diferente. Para averiguarlo hacemos:

ls /etc/rc2.d/

Y sustituímos el12 en lo escrito anteriormente, por el número de secuencia del gdm - 1 (ej. si el gdm estuviese el 30, pondríamos un 29).

 -------------------

Y hasta aquí. Sé que no es la traducción más exacta, pero creo que se entiende y lo más importante, funciona. Que si no fuese por vuestros tutoriales me daría algo con los amigos de ATI. Espero que os sirva de ayuda a alguno.

 Saludos,

Samu. 

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

¡Buenas comunidad! ¿cómo se encuentran hoy? espero muy bien... a la espera del nuevo driver, he actualizado el HOWTO a la nueva versión llamada ahora Catalyst 7.11 (deberían añadirle algo más que lo diferencie, ¿no?) el cual salió hoy. Lo tengo instalado actualmente. Sólo una contra: para quienes jugabamos Sauerbraten, al habilitar el efecto del bloom es posible que se les vea sólo una pantalla gris o amarillenta :( pero de resto, los fps en el fgl_glxgears aumentaron considerablemente. Pronto usaremos nuestro hardware al máximo con nuestro excelente S.O.!!!

Saludos Ubunteros!

 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de Gabriel_M
+1
0
-1

Hola estimados usuarios ATI.

Este es un tutorial, por favor las consultas las postean en los foros corespondientes y no en este como.

Nos hacen perder tiempo a los moderadores y al inestimable nosferatus.

Saludos.


Equipo de Moderadores del Foro
+1
0
-1
Imagen de juankvillegas
+1
0
-1

Lo que pasa es que yo no hice toda esa vuelta, por que no había visto este tema.  Lo que hice fue:

  • Descargar el archivo .run
  • Le di permiso para ser ejecutado
  • Desde la consola le di ./ati...

Y listo... ahí acabo de hacer las pruebas que ud indicó al final para ver si tenemos aceleración gráfica y todo está bien.

display: :0.0  screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: ATI Radeon Xpress Series
OpenGL version string: 2.1.7059 Release

¿Será que puede fallar por algún lado o está bien?

¿Qué otras pruebas puedo hacer?

Aunque el moderador sugirió consultar dudas en otro foro, creo que esta en particular si debería ir en este foro, ya que en caso de que el método que usé para instalarlo no tenga problemas, ayudaría a muchas personas a lograr lo que este COMO quiere explicar.

+1
0
-1
Imagen de saad
+1
0
-1

instale el nuevo driver de ati, no como mencionas en este fabuloso tutorial... El pun to es que me corre el sistema 2 o tres veces mas rapido, en serio... Yo pienso que lo que sucedía antes, es que hay un triangulo informático de requerimientos entre compiz-gnome-kernel...

porque si no como se explica que un mejor driver aumenta la velocidad del sistema solo cuando usas aceleracion grafica, si no usas la aceleracion, en velocidad da igual si tienes o no el driver propietario. me gusta bastante el nuevo driver de ati... 

+1
0
-1
Imagen de muutorpe
+1
0
-1

lo siento soy nobato lo borro y lo pongo el ultimo post de este hilo.( pagina 5)

+1
0
-1
Imagen de juankvillegas
+1
0
-1

Paso por acá para informarles que ya está disponible el nuevo driver de ATI, la versión es la 8.1

 

Puede ser descargado de http://ati.amd.com/support/driver.html 

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

 Que tal Juankvillegas, tienes razón... ATI cada mes saca un driver nuevo, y yo frecuentemente estaba actualizando este HOWTO, lo que sucedió es que para la versión 7.12 muchos usuarios tuvieron problemas con el compiz (quienes lo utilizaban) y habían y de hecho ahora es así, se omiten un par de pasos (la compilación del módulo del kernel)... Pronto actualizaré este HOWTO en cuanto tenga el tiempo, ya que he estado algo ocupadito con las clases. Gracias nuevamente por el dato (ya lo tenía instalado :P) Saludos!!!

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de MauricioH
+1
0
-1

Hola, ante todo muchas gracias por la ayuda he aprendido mucho con este foro. El problema que tengo es que después de seguira al pie de la letra las instrucciones para instalar manualmente el Catalyst, al darle reiniciar mi pantalla queda negra, al única forma de iniciar sesión con el entorno gráfico, es cambiando en xorg.conf el driver "fglrx" por "vesa". No se que es lo que pasa y ya lo he intentado de todo. Mi tarjeta es una ati radeon xpress 200. Espero que puedas ayudarme.

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

Mira, la verdad no sabría que sugerirte para que trataras de resolver el problema; esos radeon xpress 200 siempre a alguien les da problemas... y bueno, mi hermano tiene instalado Feisty por perezozo y no ha querido actualizar a Gutsy aún y desde el 7.11 no hemos podido darle aceleraciín gráfica a su X800XL.. así son las cosas con ATI :S.. yo en cambio no he tenido problemas porque instalé Gutsy desde su lanzamiento y creo que acá andan con más seguridad los drivers. Te sugiero que busques en los foros y preguntas adecuadas a ver quien pudisese ayudarte, ya que esto es un HOWTO y ya no se responden cosas por acá. Si sé de algo que pueda ayudarte volveré a escribirlo y anotarlo para soluciones extra en el HOWTO.

¡¡Un saludo!! ¡Suerte!

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de MauricioH
+1
0
-1

Muchas gracias de nuevo por la respuesta. Ya tengo instalado Gutsy, de hecho soy un novato en linux porque decidí dar el salto hace unos pocos días, estaba muy aburrido de windows...En punto es que la primera vez que seguí el manual si pude iniciar sesión en modo gráfico, después tuve problemas al reproducir video y decidí instalar de nuevo el driver y ahí empezaron los problemas fueron tantos que reinstalé ubuntu. Desde ese entonces no ha vuelto a funcionar. He seguido el manual en inglés que referencias pero se presenta el mismo problema al inicio de sesión. ¿Es tan importante desinstalar fglrx antes?. Quisiera saber si tengo que reinstalar ubuntu ya que he intentado muchas cosas, en especial todas las del manual en inglés. Bueno creo que no me puedes ayudar más, muchas gracias de nuevo!!.

 

Mauricio

Bogotá, Colombia 

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

Primero es necesario DESINSTALAR cualquier fglrx que hayas instalado anteriormente antes de instalar el nuevo. Si estabas usando el compiz-fusion y reproduciendo videos notaste un parpadeo, es normal, ya que es un problema de salida de video que aún no han corregido con el driver.. puedes poner la salida de video en Xv o en NoXv a ver cómo te va... mi sugerencia es que si te molesta eso quites o apagues el compiz. Yo por esa y muchas razones no lo utilizo. Trata de desinstalar todo lo que tengas del fglrx, busca el Envy si quieres para que no te compliques; él te puede desinstalar todo y luego sí instalas los drivers a mano. Suerte!

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de MauricioH
+1
0
-1

¿Hay alguna diferencia entre Ubuntu Gutsy y Ubuntu 7.10?, se que parece boba la pregunta, pero es que entre los paquetes del driver están ambos.

Gracias. 

+1
0
-1
Imagen de juankvillegas
+1
0
-1

No se por qué creo que lo conozco, ese nick se me hace conocido, jajaja

Lo de la pantalla negra tiene una solución bastante sencilla:

http://www.ubuntu-es.org/index.php?q=node/68238#comment-183910

Suerte.

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

Ubunteros descubrí un pequeño GRAVE error, no se debe crear el enlace simbólico ya que por alguna razón que desconozco la aceleración trabaja deficiente y si se elimina el enlace aún se conserva la misma y trabaja muuucho mejor, como debería... así que, quienes hicieron el enlace, BÓRRENLO! confíen en mí que no van a perder aceleración. La prueba la realicé básicamente con Sauerbraten Cube y Nexuiz.

El enlace lo borran acá:

# sudo rm /lib/modules/$(uname -r)/volatile/fglrx.ko

Al reiniciar el vuelve a crear el enlace pero de manera correcta. Aunque suene muy GAFO lo que estoy diciendo y hasta ignorante, a mi me sucedió ese detalle con la aceleración y lo supe porque los otros drivers anteriores los instalé sin hacer el enlace y me puse a recordar qué estaba haciendo de más. Así que no se preocupen.

Saludos!!! y si tienen problemas planteen la queja! ;)

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de ffp
+1
0
-1

Hola,

Siguiendo este tutorial he conseguido instalar el driver 8.2 en Gutsy con una ATI Radeon 9600, pero me quedé sin compiz, cuando con los drivers libres funcionaba correctamente.

Buscando por todas partes acabé en la wiki (unoficial) de ATI, que es la que he seguido, está en inglés, el enlace es el siguiente:

http://wiki.cchtml.com/index.php/Ubuntu_Gutsy_Installation_Guide#3D_desk...

Consideraciones previas:

Hay que asegurarse que tenemos direct rendering

La extensión composite ya no es necesaria, por lo tanto debemos editar el xorg.conf y dejar las lineas de composite comentadas:

# Section "Extensions"
# Option "Composite" "0"
# EndSection

Yo no tengo vetado el driver fglrx, por lo tanto editar:

$ sudo gedit /etc/default/linux-restricted-modules-common

y dejar DISABLED_MODULES=""

Editar el fichero de configuración de compiz.

sudo gedit /usr/bin/compiz

Antes puede ser interesante hacer una copia de seguridad por si acaso:

sudo cp /usr/bin/compiz /usr/bin/compiz.inicial

Modificar lo siguiente:

# Driver whitelist
WHITELIST="fglrx nvidia intel ati radeon i810"
# blacklist based on the pci ids 
# BLACKLIST_PCIIDS="$T"
BLACKLIST_PCIIDS=""

Modificar las carpetas de las lineas 30 y 31

   COMPIZ_BIN_PATH="/usr/bin/" # For window decorators and compiz
PLUGIN_PATH="/usr/lib/compiz/"

El COMPIZ_NAME de la línea 35 debe ser modificado de acuerdo a lo siguiente:

   COMPIZ_NAME="compiz.real" # Final name for compiz (compiz.real) 

Editar /etc/xdg/compiz/compiz-manager (en el enlace de la wiki no está claro) y comentar la siguiente línea:

# . /etc/xdg/compiz/compiz-manager.ubuntu

Reiniciar, y espero que os funcione.

No entiendo porque hay que modificar los archivos de configuración de compiz, pero a mi me funciona.

 

Un saludo

ffp

+1
0
-1

Un saludo

ffp

Imagen de nosferatus_deimos
+1
0
-1

Que tal Ubuntero!! de verdad muy útil tu aporte, ya que como yo, también posiblemente hay muchas personas que no estén utilizando el compiz con los drivers nuevos (eso sucede desde el 7.11 o 7.12 más o menos)... yo por varias razones no busqué mucha solución porque como por lo general suelo jugar y para ello tengo que deshabilitarlo a cada rato (añadiendo que le he conseguido errores en gestiones de escritorios múltiples)... Apenas tenga un chance revisaré las instrucciones que diste, me parece que deben funcionar porque sí, hubieron unos cambios en los drivers ATI y algo sucedión con el compiz y él, a tal punto que mi hermano en feisty no pudo montar el driver porque daba un errorcillo por la ausencia de un archivo de configuración del mismo..

Ahora bien, lo que dices de no betar el módulo fglrx no me parece conveniente; ya que recuerda que Ubuntu viene con unos drivers en los repositorios y con un módulo precompilado para el kernel así que yo sugeriría dejarlos betados para que no se utilice nada viejo (espero no estar rebuznando, pero creo que no debe afectar en nada). Otra cosa que también noté es que el archivo de configuración del compiz donde están los drivers en WHITELIST ya vienen incluídos los que mostraste (desde cierta actualización del compiz) pero está bien chequearlo. Y con las líneas del composite, esas líneas creo que las agrega el Envy solamente o se agregan a mano, porque instalando a mano y configurando con el aticonfig no se agregan (otra cosa importante para revisar quienes usan Envy y no se toman un par de minutos para hacer las cosas a mano :P)

Nuevamente muchísimas gracias por tu aporte y espero que tanto a mí como a otras personas más puedas ayudarle con este detallito al que le conseguiste una solución :) En cuanto lo puebe aviso cómo me fue y en tal caso de necesitar aportar algo. Si no posteo, es que está todo bien :D

Un saludo fraterno Ubuntero!!! 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de nosferatus_deimos
+1
0
-1

Muchas gracias ffp! funcionó perfectamente las instrucciones! chequeé el wiki que dejaste en el enlace y bueno aclaro un par de cosas:

1. No es necesario añadir comentarios a la línea:

/etc/xdg/compiz/compiz-manager

# . /etc/xdg/compiz/compiz-manager.ubuntu

puesto que, esa ruta direcciona a las carpetas de plugin y a la de configuración que editamos más arriba. A mi me sucedió que ese archivo no se llamaba "compiz-manager.ubuntu", sino "compiz-manager.ubuntu.dpkg-new", así que lo que hice en vez de comentar esas líneas fué modificar el final de la línea

 

. /etc/xdg/compiz/compiz-manager.ubuntu

 

por

. /etc/xdg/compiz/compiz-manager.ubuntu.dkpg-new

De esa manera, entonces leería mi archivo. (también imagino que es probable renombrar al archivo por compiz-manager.ubuntu).

Inclusive creo que es probable que también funcione añadiendo las líneas

COMPIZ_BIN_PATH="/usr/bin/" 
PLUGIN_PATH="/usr/lib/compiz/"
COMPIZ_NAME="compiz.real"

al archivo compiz-manager funcione, ya que lo que va a leer en el *.ubuntu.dpkg-new va a ser precisamente eso. Algún ocioso que lo pruebe :D!

A lo que hacen referencia en ese Wiki acerca de marcar en comentarios esa línea es porque con ella queda haciendo un loop buscando un archivo que obviamente no existe o posee otro nombre (al menos en mi caso porque no tenía ese nombre).

2. Tampoco es necesario betar el módulo fglrx en los DISABLED_MODULES. 

Otro detallazo que me sucedió fue que al configurar todas las cosas y lanzar el compiz después reiniciar X (por si acaso aunque no modifiqué el xorg ya que no tenía las líneas) fue una pantalla blanca de regalo, de la cual salía presionando alt+f2 y sin ver escribia metacity --replace para no pegar gritos :D ... el gran detallazo fue que ME QUEDE SIN ACELERACIÓN GRÁFICA :S no sé por que razón, pero bastó con reiniciar todo completo y comprobar mi direct-rendering antes de lanzarlo de nuevo.

Quisiera no ser crítico y como dije anteriormente estar rebuznando otra vez, pero quizás el motivo por el cual hay que editar los archivos de configuración del compiz es por la llamada "falta de estandarización" de la cual somos víctimas frecuentemente y quizás esta vez por algunos cambios realizados en las rutas de instalación y algunas actualizaciones...

Muchas gracias por tu aporte!! de verdad espero que más gente pueda solucionar este problema con el HOWTO y tu post :)

 

Un saludo hermano ubuntero!

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de juankvillegas
+1
0
-1

Muchas gracias, todo funcionó perfectamente.

Acabo de instalarlo en mi también recién instalada Hardy y funciona a la perfección.

Un saludo.

+1
0
-1
Imagen de JJooee
+1
0
-1

Tengo una tarjeta gráfica ATI Radeon Xpress 200 y no puedo instalar el controlador, anteriormente si podia instalar los otros controladores (7.12, 8.01). Tengo recién instalado Ubuntu 7.10, totalmente actualizado.

El hecho en concreto está en el paso 3, no puedo crear los paquetes .deb porque me sale el siguiente error en la terminal:

sun@sun-desktop:~$ sudo bash ati-driver-installer-8-02-x86.x86_64.run --buildpkg Ubuntu/7.10
Created directory fglrx-install.kE8747
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.455.2....................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................................
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Ubuntu/7.10
Resolving build dependencies...
./packages/Ubuntu/ati-packager.sh: 311: sh -c '/usr/sbin/synaptic --set-selections --non-interactive --hide-main-window < /tmp/fileQVX4uQ': not found
Unable to resolve  ia32-libs.  Please manually install and try again.
Removing temporary directory: fglrx-install.kE8747
 

bueno, espero y puedas ayudarme.. Dios te bendiga :) 

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

Qué tal ubuntero, como podrás ver éste es un HOWTO, más no un foro de consulta.. sería bueno que redireccionaras tu consulta hacia el sitio correpondiente. De todas maneras, realmente no sé que pueda estarte sucediendo, pero yo por lo menos creo los paquetes --buildpkg Ubuntu/gutsy (no 7.10 pero si a tí te los crea así pues no debe haber problemas). Revisa que tengas todas las herramientas necesarias y revisa si tienes las librerías necesarias instaladas.

Saludos!

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de JJooee
+1
0
-1

Bueno, primeramente reconozco que mi post anterior no lo debí poner aqui. Además de que no consideré primeramente como solucionar mi problema de otra forma.

En fin, mi error se causaba simplemente por que el archivo se había descargado mal :S

Gracias a Dios todo esta bien ahora, lo instalé (el driver) y ya tengo aceleración gráfica, pero aun no puedo activar Compiz Fusion, pero que va, ya será con uno de los próximos controladore :P

Gracias por tu HowTo... Maranatha... 

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

JJooee, probablemente consigas la solución a tu compiz-fusion, fíjate que arriba del primer post que hiciste se escribieron un par de soluciones para activarlo; unos cuantos pasos de configuración y ya. Yo lo probé y no tuve problema, de hecho dejé un par de notas más para quienes quizás puedan tener problemas como los que yo tuve. Guíate por eso y espero que te ayude.

Saludos! 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de JJooee
+1
0
-1

Ya hice lo que menciona el post de ffp pero aun así no puedo activar Compiz, cuando trato de activarlo me dice "The Composite extension is not available" bueno espero tener algun día los famosos efectos en mi Ubuntu. :(

+1
0
-1
Imagen de nosferatus_deimos
+1
0
-1

Edita tu archivo de configuración de Xorg:

 

sudo gedit /etc/X11/xorg.conf 

y añade estas líneas al final:

 

Section "Extensions"

Option  "Composite"  "enable"

EndSection

 

Aunque no te doy garantía de que resuelva tu problema, intenta eso a ver.

 

Saludos! 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de JJooee
+1
0
-1

Sí..!!! Efectos de Escritorio activados..!!!

Gracias nosferatus_deimos, Dios te llene de bendiciones en tu vida :)

ya tengo los Efectos de Escritorio activados, se ven genial, los tengo al máximo con Compiz Manager; sólo tenía que hacer eso, activar Composite.

Graciaaaaaaaaasss..!!!

+1
0
-1
Imagen de PlayBoy
+1
0
-1

+1
0
-1

PlayBoy |Ooº--|--ºoO))*>*
No es más fuerte el que resiste si no el que se levanta

Imagen de saad
+1
0
-1

saludos, el asunto lo dice todo

+1
0
-1
Imagen de PlayBoy
+1
0
-1

A mí me da error al hacer todo eso, me da baja resolución, el ATI Catalist Control Center me da error y que ejecute aticonfig, seguí todos los pasos y en los últimos me salió esto:

fglrxinfo
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Error: couldn't find RGB GLX visual!

Fallo de segmentación (core dumped)
diabliyo@DiaBliYO:~$ glxinfo | grep direct
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Error: couldn't find RGB GLX visual
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".
Xlib:  extension "GLX" missing on display ":0.0".

¡Ayudeneme!!! Las letras son superchicas!!!


 

Ubuntu Party Grupo en Habbo Hotel

-)> ¡Mis Primeros Pasos con XuBuNTu! <(-

+1
0
-1

PlayBoy |Ooº--|--ºoO))*>*
No es más fuerte el que resiste si no el que se levanta

Imagen de nosferatus_deimos
+1
0
-1

Qué tal PlayBoy, te sugiero que ejecutes aticonfig nuevamente (en el HOWTO está más abajo como hacerlo, intentalo de nuevo) y luego ejecuta depmod -a (ten en cuenta que todo esto debes hacerlo como root o en su defecto con sudo). Probaste con el driver 8.3 cierto? por cierto revisa que tengas todas las librerías necesarias, me parece que te falta alguna... Creo que utilizas xubuntu, y ahí no se si exista pero guíate por el error y revisa si tienes la supuesta librería xlib instalada (supongo debe ser la xlibmesa-dri y la xlib-mesagl) tendrías que fijarte a ver. No te aseguro pero quizás pueda ser eso.

Saludos!

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de PlayBoy
+1
0
-1

xubuntu es lo mismo que ubuntu si no usando otro escritorio y muchísimo mejor.

Es que esto me pasaba en Ubuntu cuando lo tenía instalado...

Pero s que ahora solo puedo iniciar sesión en el live cd porque si quiero iniciar sesión desde el S.O no puedo porque hay muchísimas barritas y no me es visible la ventana de entrada...etc.

Es decir que no puedo guiarme por S.O y tengo ese problema visual. No puedo acceder al menos que sea por via live cd que se ve normal.


 

Ubuntu Party Grupo en Habbo Hotel

-)> ¡Mis Primeros Pasos con XuBuNTu! <(-

+1
0
-1

PlayBoy |Ooº--|--ºoO))*>*
No es más fuerte el que resiste si no el que se levanta

Imagen de nosferatus_deimos
+1
0
-1

Trata entrando en modo texto y ejecuta:

sudo dpkg-reconfigure -phigh xserver-xorg 

Así reconfiguras tu xorg a ver si quizás se te acomoda algún error si depende de la configuración que haya hecho tu driver en xorg (cosa que no creo) y ahi arrancará por los drivers que trae por defecto. Entonces, purga el driver ATI e intenta nuevamente. 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de nosferatus_deimos
+1
0
-1

Qué tal ubunteros! Estos días he estado algo ocupado terminando mi semestre y casi voy de pasantías, por lo que no he tenido mucho tiempo para sentarme y actualizar esto ya que quiero añadir además el método de desinstalación manual, ya que a veces se intenta instalar después de desinstalar el driver a mano y el libGl1.so no existe y se debe reinstalar las librerias del mesa y gl, pero por synaptic también da problemas. Así que, quiero leer un poco el código del Envy para ver cómo realiza la desinstalación y ver que cosas puedo colocar que resulten sencillas y útiles.

Saludos! 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de ronson
+1
0
-1

bueno esop, salio la version 8-4, ojala te vaya bien en todo, y ojala pronto actualices el howto.

+1
0
-1
Imagen de saad
+1
0
-1

en el asunto del nuevo driver 8.47.3 (ó 8-4) en mi maquina mejora el rendimiento del sistema en su conjunto, muy notorio. que bien con los de ati, asi que instalen el nuevo driver... saludos

+1
0
-1
Imagen de PlayBoy
+1
0
-1

Paras las ATI's viejas no le hacen falta esta instalación.

ATI RADEON 7000 Series (not install this driver is free and autoinstalled in Ubuntu and other)


 

Mi BloG --> http://menbass.wordpress.com

Mi CoRReo---> djvaro69@gmail.com

¡BusCa SiemPre AnteS de preGuntaR! -> CoPyraeTh of Furtaxi

+1
0
-1

PlayBoy |Ooº--|--ºoO))*>*
No es más fuerte el que resiste si no el que se levanta

Imagen de muutorpe
+1
0
-1

Hola.

Sigo las instrucciones al pie de la letra y siempre pantalla en blanco.

Tengo la version 8.04 hardy ,ati x1650 agp, y no la veo en controladores de hardware , ni restringuido ni aparece.

este es mi xorg.config

 
# xorg.conf (X.Org X Window System server configuration file)
#
# This file was generated by dexconf, the Debian X Configuration tool, using
# values from the debconf database.
#
# Edit this file with caution, and see the xorg.conf manual page.
# (Type "man xorg.conf" at the shell prompt.)
#
# This file is automatically updated on xserver-xorg package upgrades *only*
# if it has not been modified since the last upgrade of the xserver-xorg
# package.
#
# If you have edited this file but would like it to be automatically updated
# again, run the following command:
#   sudo dpkg-reconfigure -phigh xserver-xorg

Section "ServerLayout"
    Identifier     "Default Layout"
    Screen      0  "aticonfig-Screen[0]" 0 0
EndSection

Section "Files"
EndSection

Section "Module"
EndSection

Section "InputDevice"
    Identifier  "Generic Keyboard"
    Driver      "kbd"
    Option        "XkbRules" "xorg"
    Option        "XkbModel" "pc105"
    Option        "XkbLayout" "es"
EndSection

Section "InputDevice"
    Identifier  "Configured Mouse"
    Driver      "mouse"
    Option        "CorePointer"
EndSection

Section "Monitor"
    Identifier   "Configured Monitor"
EndSection

Section "Monitor"
    Identifier   "aticonfig-Monitor[0]"
    Option        "VendorName" "ATI Proprietary Driver"
    Option        "ModelName" "Generic Autodetecting Monitor"
    Option        "DPMS" "true"
EndSection

Section "Device"
    Identifier  "aticonfig-Device[0]"
    Driver      "fglrx"
    Option        "VideoOverlay" "on"
    Option        "OpenGLOverlay" "off"
EndSection

Section "Screen"
    Identifier "Default Screen"
    Device     "Configured Video Device"
    Monitor    "Configured Monitor"
EndSection

Section "Screen"
    Identifier "aticonfig-Screen[0]"
    Device     "aticonfig-Device[0]"
    Monitor    "aticonfig-Monitor[0]"
    DefaultDepth     24
    SubSection "Display"
        Viewport   0 0
        Depth     24
            Modes        "1440x900" "1280x1024" "1024x768" "800x600"
    EndSubSection
EndSection

Haciendo  :glxinfo | grep direct sale esto:

direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
OpenGL renderer string: Mesa GLX Indirect

 

solo entro en Gnome a prueba de fallos, si no es asi, aparece siempre la pantalla en blanco ( es como un velo blanco opaco que se pone delante de la pantalla  y no me deja ver nada, aunque se pueden abrir o se cierra los programas ).

En que falla?

+1
0
-1
Imagen de BlitzSchlag
+1
0
-1

Antes de nada gracias por la ayuda. Ahora, en el paso 6 me da el siguietne error al instalar el primer paquete:

root@*********:/home/roberto# dpkg -i xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb
(Leyendo la base de datos ... 
105005 ficheros y directorios instalados actualmente.)
Preparando para reemplazar xorg-driver-fglrx 1:7.1.0-8-3+2.6.24.12-16.34 (usando xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb) ...
 * Stopping atieventsd                                                   [ OK ]
dpkg-divert: `diversion of /usr/X11R6/lib32/libGL.so.1 to /usr/X11R6/lib32/fglrx/libGL.so.1.2.xlibmesa by xorg-driver-fglrx' entra en conflicto con `diversion of /usr/X11R6/lib32/libGL.so.1 to /usr/X11R6/lib32/fglrx/libGL.so.1.xlibmesa by xorg-driver-fglrx'
dpkg: error al procesar xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb (--install):
 el subproceso pre-installation script devolvió el código de salida de error 2
 * Starting atieventsd                                                   [ OK ]
Se encontraron errores al procesar:
 xorg-driver-fglrx_8.476-0ubuntu1_amd64.deb

A ver si alguien me puede ayudar. Gracias.

+1
0
-1
Imagen de Osorio06
+1
0
-1

Tuve el mismo problema con "diversion" y lo solucioné  con el fix de la página:

http://caulfield.info/emmet/2008/04/fix-ati-catalyst-84-driver-pac.html

Un saludo.

Jesús.

+1
0
-1

Jesús.

Imagen de netss
+1
0
-1

Tuve problemas con el libgl al igual que varios.. pero lo resolvi instalando envy y desinstalando con Envy los drivers... y de ahi tal y como dice el tuto y va de toque

Por cierto para la pantalla en blanco yo lo resolvi agregando esto (que lo obtuve entrando en modo BulletproofX de ubuntu, para entrar a ese modo solo pongan en  Driver algo como mesa... si erroneamente)

El error de pantalla NEGra o en blanco lo solucione con esto

Modificando la seccion de xorg.conf

Section "Monitor"
    Identifier   "Configured Monitor"
    VendorName   "Generic CRT Display"
    ModelName    "Monitor 1024x768"
    HorizSync    31.5 - 61.0
    VertRefresh  50.0 - 75.0
    Gamma        1
    ModeLine     "640x480@60" 25.2 640 656 752 800 480 490 492 525 -hsync -vsync
    ModeLine     "640x480@72" 31.5 640 664 704 832 480 489 491 520 -hsync -vsync
    ModeLine     "640x480@75" 31.5 640 656 720 840 480 481 484 500 -hsync -vsync
    ModeLine     "800x600@56" 36.0 800 824 896 1024 600 601 603 625 +hsync +vsync
    ModeLine     "800x600@72" 50.0 800 856 976 1040 600 637 643 666 +hsync +vsync
    ModeLine     "800x600@75" 49.5 800 816 896 1056 600 601 604 625 +hsync +vsync
    ModeLine     "800x600@60" 40.0 800 840 968 1056 600 601 605 628 +hsync +vsync
    ModeLine     "832x624@75" 57.3 832 864 928 1152 624 625 628 667 -hsync -vsync
    ModeLine     "1024x768@75" 78.8 1024 1040 1136 1312 768 769 772 800 +hsync +vsync
    ModeLine     "1024x768@70" 75.0 1024 1048 1184 1328 768 771 777 806 -hsync -vsync
    ModeLine     "1024x768@60" 65.0 1024 1048 1184 1344 768 771 777 806 -hsync -vsync
    ModeLine     "1280x960@60" 102.1 1280 1360 1496 1712 960 961 964 994 -hsync +vsync
EndSection

Gracias Sres ubunteros

+1
0
-1
Imagen de snid
+1
0
-1

Saludos, he tenido la oportunidad de instalar un par de veces la Tarjeta ATi, en versiones como Dapper Drake, es bastante sencillo, acualmente estoy utilizando Ubuntu 7.10, la versión i386, aunque poseo un Intel Dual Core, la verdad no instalo la versión linux de 64 bits porque pienso que existen mayores aplicaciones para esta version, pues quisiera saber cual driver descargar de la pagina de ATI, si el controlador para Linux x86 o para Linux x86_64. Espero respuesta. Gracias

" La libertad es un privilegio que los pocos que la poseen deben dar a conocer "

+1
0
-1

Stefano Indacochea Delgado

Imagen de nosferatus_deimos
+1
0
-1

Sencillo, si tienes un SO x86 instalas el driver x86 y si lo tienes x64 pues... de todas maneras, ATI para linux si no me equivoco saca el mismo driver para ambas versiones, lo digo porq ambos dicen x86_64.

Saludos! 

Mérida - Venezuela

+1
0
-1

Mérida - Venezuela

Imagen de eastir
+1
0
-1

Hola a todos, he seguido el tutorial, con especial enfasis en la calidad del video con compiz activado. Lo he hecho todo tal y como pone el tutorial para Hardy, y en mi archivo xorg.conf tengo lo que especificas, pero si no le pongo en gstreamer-properties X11/Xshm/xv no se me ven los videos ni nada.

Con ellos el inconveniente es que se ven muy muy mal, pero bueno, habrá que esperar a que los de ATI les de la gana de currarse los drivers.

Otra cosa, habeis solucionado, o encontrado alguna solución parcial al problema de los pantallazos de las aplicaciones 3d corriendo compiz con ATI 8.3-4???

Saludos

+1
0
-1

Páginas